/**
 * 路由配置
 */
export default [
  {
    path: '/user',
    key: '1',
    component: '../layouts/UserLayout',
    routes: [
      {
        key: '11',
        name: 'sign-up',
        path: '/user/sign-up',
        component: './user/signUp',
      },
    ],
  },
  {
    path: '/demo',
    key: '2',
    component: '../layouts/BlankLayout',
    routes: [
      {
        key: '22',
        path: '/demo',
        component: './demo',
      },
    ],
  },
  {
    path: '/',
    key: '3',
    component: '../layouts/SecurityLayout',
    routes: [
      {
        key: '31',
        component: '../layouts/BasicLayout',
        routes: [
          {
            key: '311',
            path: '/exam',
            // isFull: true, 全屏显示
            component: './exam',
          },
          {
            key: '312',
            path: '/video',
            component: './video',
          },
          {
            key: '313',
            path: '/profile',
            component: './profile',
          },
          {
            key: '314',
            path: '/exam/hospitalFinalExam',
            // isFull: true, 全屏显示
            component: './exam/hospitalFinalExam',
          },
        ],
      },
    ],
  },
];
