import React from 'react';
import styles from './index.less';
import router from 'umi/router';

const Index = ({ day }) => {
  const goHospitalExam = () => {
    return router.push('/exam/hospitalFinalExam');
  };
  return (
    <div className={styles.root}>
      <div className={styles.header}>
        <div className={styles.notice}>
          <div>
            <img src="./images/notice.png" alt="" />
          </div>
          <div className={styles.title}>
            距离研究生考试还有
            <span>{day}</span>天！
          </div>
        </div>
      </div>
      <div className={styles.menus}>
        <div className={styles.row}>
          <div className={styles.col} onClick={goHospitalExam}>
            <img src="./images/hospital-final-exam.png" alt=""></img>
            <div>医学生期末考试</div>
          </div>
          <div className={styles.col}>
            <img src="./images/graduate-exam.png" alt=""></img>
            <div>研究生考试</div>
          </div>
        </div>
        <div className={styles.row}>
          <div className={styles.col}>
            <img src="./images/professional-doctor-exam.png" alt=""></img>
            <div>住院医生规培</div>
          </div>
          <div className={styles.col}>
            <img src="./images/resident-regulation.png" alt=""></img>
            <div>执业医生考试</div>
          </div>
        </div>
        <div className={styles.row}>
          <div className={styles.col}>
            <img src="./images/health-manager.png" alt=""></img>
            <div>健康管理师</div>
          </div>
          <div className={styles.col}>
            {/* <img src="./images/health-manager.png" alt=""></img>
            <div>健康管理师</div> */}
          </div>
        </div>
      </div>
    </div>
  );
};

export default Index;
