import React from 'react';
import { Picker, List, Button } from 'antd-mobile';
import styles from './index.less';
import router from 'umi/router';

const Index = () => {
  const seasons = [
    [
      {
        label: '2013',
        value: '2013',
      },
      {
        label: '2014',
        value: '2014',
      },
    ],
    [
      {
        label: '春',
        value: '春',
      },
      {
        label: '夏',
        value: '夏',
      },
    ],
  ];

  const handSubmit=(e)=>{
    router.push('/demo');
  }
  return (
    <div className={styles.root}>
        <div>
          <Picker data={seasons} title="选择学校" cascade={false} extra="请选择">
            <List.Item arrow="horizontal">选择学校</List.Item>
          </Picker>
          <Picker data={seasons} title="选择专业" cascade={false} extra="请选择">
            <List.Item arrow="horizontal">选择专业</List.Item>
          </Picker>
        </div>
        <div className={styles.action}>
        <Button type="primary" onClick={handSubmit}>选择完毕</Button>
        </div>
    </div>
  );
};
export default Index;
