import React from "react";
import { Redirect } from "umi";
import config from "@/config";

class SecurityLayout extends React.Component {
  render() {
    const { children, location } = this.props;

    // TODO 暂时先这么处理
    const isLogin = true;
    const { pathname = "/" } = location || {};

    if (!isLogin) {
      return (
        <Redirect
          to={{
            pathname: "/user/login",
            state: {
              redirect: pathname,
            },
          }}
        />
      );
    }

    if (isLogin && pathname === "/") {
      return <Redirect to={config.homePage} />;
    }

    return children;
  }
}

export default SecurityLayout;
